LINUX.ORG.RU

Firefox 52

 , ,


2

5

Доступен выпуск Firefox 52.

Основные изменения:

  • Удалена поддержка NPAPI-плагинов (Silverlight, Java, Unity, Gnome Shell Integration, Google Hangouts). Исключение сделано лишь для Flash. Поддержка плагинов сохранена (но отключена по умолчанию, для включения необходимо воспользоваться настройкой plugin.load_flash_only = false) в Firefox 52 ESR, который будет получать обновления безопасности до марта 2018 года. Кроме того, Firefox 52 и 52 ESR станут последними выпусками, поддерживающими процессоры без SSE2 (Pentium 3, Athlon XP, VIA C3), операционные системы Windows XP/Vista и 32-разрядные версии Mac OS X. Пользователи этих операционных систем будут автоматически пересажены на ESR-выпуск, чтобы не остаться без обновлений безопасности.
  • Если на http-странице содержится форма ввода пароля, то предупреждение о небезопасном вводе будет показано прямо возле соответствующего поля ввода, а автозаполнение будет отключено.
  • Добавлена возможность отправки открытой вкладки с одного устройства на другое через синхронизацию.
  • Улучшен интерфейс загрузок:
    • При неудаче выводится уведомление на панель инструментов.
    • Быстрый доступ к недавним загрузкам расширен с трёх до пяти элементов.
    • Увеличены кнопки отмены и перезапуска загрузки.
  • Реализована спецификация Strict Secure Cookies, запрещающая небезопасным (http:) сайтам установку кук с атрибутом «secure».
  • Включена поддержка чернового варианта спецификации TLS 1.3 (1310516).
  • Удалена поддержка Battery Status API (1313580). Предполагалось, что веб-приложения и сайты смогут при низком уровне заряда аккумулятора устройства отдавать облегчённую версию контента или экстренно сохранять данные. На практике этой возможностью пользуются лишь для отслеживания пользователей (уровень заряда служит одним из параметров, позволяющих точно идентифицировать клиента), а некоторые сервисы могут повышать расценки для пользователей, чей телефон вот-вот разрядится.
  • Движок обзавёлся поддержкой WebAssembly (эффективного низкоуровневого языка программирования, выполняющегося в браузере).
  • Совместный доступ к экрану теперь поддерживает предварительный просмотр и больше не требует присутствия домена в белом списке.
  • Прекращена поддержка SHA-1 сертификатов, выпущенных публичными удостоверяющими центрами. Кроме того, в Firefox 52 ESR отключена поддержка сервисных воркеров и пуш-уведомлений. Эти компоненты будут подвергнуты существенным изменениям, которые невозможно было бы портировать в ESR-выпуск, получающий лишь обновления безопасности.
  • Включено автоматическое обнаружение captive portal. При обнаружении сети, использующей эту технологию, браузер выдаст предупреждение и откроет страницу входа в новой вкладке.
  • Сервис отложенного чтения Pocket теперь полностью принадлежит корпорации Mozilla.
  • На платформе Windows улучшена совместимость со сторонними раскладками клавиатуры, не входящими в стандартную поставку Windows. Также, без объяснения причин удалена поддержка DRM-модуля Adobe Primetime CDM.
  • Устранены различные уязвимости.

Инструменты разработчика:

HTML:

  • Реализована поддержка rel="noopener" (1222516).

CSS:

  • Включена поддержка CSS Grid Layout.
  • Добавлен псевдокласс :focus-within (1176997).
  • Реализована поддержка display:flex/grid внутри элементов <button> (984869).
  • Реализована интерполяция между числовым значением цвета и currentcolor (1299741).
  • Реализована поддержка гибких блоков для justify-content: space-evenly, align-content: space-evenly (1235922) и для align|justify-self:baseline|last-baseline (1221524).
  • В CSS mask / clip-path добавлена поддержка субпиксельного сглаживания (1305259).
  • Реализована часть спецификации CSS Text 3 — Segment Break Transformation Rules (1081858).
  • Обрезка основных форм теперь может применяться к SVG-содержимому (1246741).
  • CSS Animations можно использовать для анимации неинтерполируемых свойств (1064937).
  • Мультиколоночные свойства избавлены от префиксов (1300895).
  • Реализована часть спецификации CSS Grid Layout Module Level 1 - Grid Container Baselines (1151204).
  • Из системы стилей удалена поддержка min-sizing у <flex> (1305244).
  • Начальные значения mask-position и mask-repeat изменены на 0% 0% (1308963).
  • Удалена поддержка медиатипов -moz-images-in-menus и -moz-images-in-buttons (1302157).
  • Удалена поддержка значения -moz-use-text-color. Вместо него следует использовать currentcolor (1306214).
  • Ряд изменений, связанных со значениями <color> (1295456):
    • rgba() и hsla() переопределены как ссылки на rgb() и hsl().
    • rgb() и hsl() принимают необязательное значение прозрачности.
    • функции цвета принимают параметры, разделённые пробелами вместо запятых.
    • значения прозрачности можно указывать не только в виде чисел, но и в процентах.
    • оттенок в hsl() можно указывать не только в виде числа, но и в градусах.

JavaScript:

DOM:

Сервисные воркеры и Fetch API:

  • Удалён метод Headers.getAll(); Headers.get() теперь получает все значения указанного заголовка, а не только первое (1278275).

Web Audio API:

  • Добавлен интерфейс ConstantSourceNode. Он представляет собой аудиоисточник, всегда передающий поток сэмплов, имеющих одинаковое значение. Статья с примерами того, как он может быть использован для упрощения сложных аудиопотоков.

WebRTC:

  • Теперь, если ICE-соединение временно повреждено, свойство RTCPeerConnection.iceConnectionState принимает значение «disconnected» (852665).
  • Добавлены обработчик событий MediaDevices.ondevicechange и событие devicechange.
  • Реализована поддержка свойства MediaStream.active, показывающего есть ли хоть один трек в воспроизводимом в данный момент потоке.
  • Метод MediaStreamTrack.stop() может останавливать воспроизведение не только лишь локальных треков.

Звук/видео:

  • Объекты MediaError, указанные в HTMLMediaElement.error при возникновении ошибки в обработке элемента <audio> или <video>, отныне включают свойство message, которое даёт конкретное описание случившейся ошибки.

Другие API:

HTTP:

SVG:

  • SVG документы теперь представлены не с помощью интерфейса SVGDocument, а с помощью XMLDocument, как того требует спецификация SVG 2.

>>> Примечания к выпуску для разработчиков

>>> Подробности

Ответ на: комментарий от ZenitharChampion

В дистрах, скорее всего, будут собирать с ALSA.

Посмотрим, но пока нет — собирают без неё.

mandala ★★★ ()
Последнее исправление: mandala (всего исправлений: 1)
Ответ на: комментарий от bookman900

Лиса собирается тоже очень не торопливо и кушает при этом не мало.

mandala ★★★ ()
Ответ на: комментарий от fornlr

Вполне возможно, что на помойку выкинут pdf.js в пользу PDFium, а он на PPAPI

Вот это было бы крайне глупо: PDF.js в 95% случаев все нормально открывает (с формами - увы), да и в плане технологии намного интереснее, чем очередной системнозависимый блоб

X-Pilot ★★★★★ ()
Ответ на: комментарий от anonymous

Тормозилла это не то слово. На пятом коржике с 8 гектар рамы и ссд эта тварь полдня запускается.

anonymous ()
Ответ на: комментарий от anonymous

Ну так у тебя скорее всего 9000 хакерских расширений. Попробуй на пустом профиле.

anonymous ()
Ответ на: комментарий от Behem0th

Это то фикс, было без альсы. Хоть что-о хорошее в арче.

mandala ★★★ ()
Ответ на: комментарий от mandala

Так смысл в этом хорошем? Это же просто опция сборки. Разработчики ее скоро выкинут вместе с кодом, потом код постепенно будет меняться, и впендюривать его в апстрим все сложнее будет.

Так что натянули

anonymous ()

Исключение сделано лишь для Flash

Ну и зря.

anonymous ()
Ответ на: комментарий от th3m3

Случилось чудо и в этот раз, в Ubuntu завезли Firefox раньше, чем новость на ЛОРе появилась. А раньше почти неделю приходилось ждать обновы.

4.2, не неделю. Зачастую Firefox в репах появляется сразу версии XX.0.1, когда отловили критические уязвимости в новом релизе. Но если тебе циферки, а не ехать, то можешь завести свою копию браузера, в ~/Firefox, например.

anonymous ()
Ответ на: комментарий от anonymous

Т.е. мне сидеть в старом дырявом, уязвимости уже которого уже давно выявлены, но у меня не закрыты, так что ли?

Мне же не циферки важны. А новые фичи, обновления безопасности и т.д.

Если в Ubuntu будут и дальше так тупить, буду устанавливать сборки с сайта Firefox. Дожили, приходиться отказываться от пакетного менеджера дистрибутива. Пожалуй, последний год сижу в Ubuntu.

th3m3 ★★★★★ ()
Ответ на: комментарий от th3m3

Т.е. мне сидеть в старом дырявом, уязвимости уже которого уже давно выявлены, но у меня не закрыты, так что ли?

Ну так в Ubuntu скорость обновления напрямую зависит от секурных уязвимостей.

Если не будет их с апдейтом, то его долго и не будет. Если есть, то тебе побыстрому глюкодром накатят.

anonymous ()
Ответ на: комментарий от anonymous

Всегда приходилось долго ждать.

Какой глюкодром? У меня никаких проблем не было в Firefox, после обновлений. Максимум - слетала тема интерфейса. Но, это уже разработчик не успевал обновить к новому релизу. Это несущественно.

th3m3 ★★★★★ ()

алса, пульса...

давно уже всё, что можно, проигрываю во внешнем плеере. mpv прекрасно умеет (напрямую или через хуки к youtube-dl) брать поток по ссылке из инета.

плюсы — ничего не тормозит, флеш не нужен, HTML5 не нужен, браузер не нужен нужен только чтоб ссылку получить.

для обычного фокса (у меня вимператор, там свой воркфлоу) можно поставить аддон openwith

anonymous ()
Ответ на: комментарий от anonymous

UNIX-way! Проблема в том, что это удобно нам - технарям, а людям, которые просто смотрят видео на досуге, либо просмотр видеозаписей - часть их работы, не до изучения аргументов программы из терминала.

anonymous ()
Ответ на: комментарий от anonymous

Там не нужно никаких аргументов, с openwith всё через гуец. Хотя, в случае того же ютуба никаких никаких интеграций, типа отметок просмотренного, не будет, что может оттолкнуть некоторых пользователей.

Vigi ()
Ответ на: комментарий от anonymous

Проблема в том, что это удобно нам - технарям

А в чем заключается удобство для технаря? Спойлер: ни в чем

PS: еще бы внешний текстовый редактор прикрутить к браузеру. Тыкаешь в текстовое поле, а у тебя сразу емакс открывается.

fornlr ★★★★★ ()
Последнее исправление: fornlr (всего исправлений: 1)
Ответ на: комментарий от fornlr

Тыкаешь в текстовое поле, а у тебя сразу емакс открывается.

Так и делаю, за исключением того, что емакс и так всегда открыт.

Длинные тексты всяко удобнее в емаксе с привычными кейбиндингами набирать. Да и надёжнее, страничка может сглючить и прощай тщательно написанная простыня текста.

anonymous ()

лисица в лине как ие в венде - сколько лет пилят, а он все хуже и жрет все больше...

amd_amd ()
Ответ на: комментарий от amd_amd

Значит, берите и вы «пилу». Присоединяйтесь... :-)

anonymous ()
Ответ на: комментарий от amd_amd

«и жрет все больше»
Это не лечится, они даже не берут во внимание на этот счет.
Приходится работать с about:config

Rousk ()
Ответ на: комментарий от anonymous

Значит, берите и вы «пилу». Присоединяйтесь... :-)

я что больной - предпочитаю пилить luakit...

amd_amd ()
Ответ на: комментарий от bookman900

Потому хромой долго собирается, гвгыгы :)))

в 3 разза быстрее хромиум ;)

flyingcow ()
Ответ на: комментарий от th3m3

Поддержу. Давно пора такой инструмент собирать со своими опциями. «Добро пожаловать в клуб» ;))

flyingcow ()

По умолчанию отключена поддержка alsa.

Вас поттеринг укусил? Взад, быстробл*.

Skullnet ()
Ответ на: комментарий от macrohard

При запуске через apulse занимает звуковуху

А как ещё? И чем dmix не устраивает?

barti_ddu ()
Ответ на: комментарий от mandala

Мне оказалось быстрее пульсу прикрутить, хотя она мне нафик не сдалась

apulse мог бы поставить (спасибо, i-rinat!).

barti_ddu ()
Ответ на: комментарий от mandala

Посмотрим

http://slackware.osuosl.org/slackware64-current/ChangeLog.txt

Fri Mar 10 05:41:05 UTC 2017
xap/mozilla-firefox-52.0-x86_64-2.txz:  Rebuilt.
  Recompiled with --enable-alsa option.  Without this, there is no fallback
  support for ALSA if PulseAudio is not present.  Thanks to Ivan Kalvatchev.

http://slackware.osuosl.org/slackware64-current/source/xap/mozilla-firefox/mo...
# Our building options, in a configure-like display ;)
OPTIONS="\
  --enable-alsa \

bormant ★★★★★ ()
Ответ на: комментарий от kirill_rrr

От появления поддержки ещё одной встроеной среды исполнения

wasm исполняется той же машиной и в рамках той же среды, что и js

прежде, чем что-либо критиковать - полезно разобраться в этом, нуб.

anonymous ()
Ответ на: комментарий от bormant

Мы говорили о дистрах, а не о маргинальных загонах. :)

Вон в арче поправили, в дебиане не смотрел сегодня, один баг в багзиле висел малоинформативный.

mandala ★★★ ()

Это просто праздник какой-то... :-)

anonymous ()
Ответ на: комментарий от fornlr

А в чем заключается удобство для технаря? Спойлер: ни в чем

Хочу слушать звуковую дорожку - слушаю звуковую дорожку, хочу смотреть видео без звуковой дорожки - смотрю видео без звуковой дорожки.

P.S. Дебилам всё приходится разжевывать...

anonymous ()
Ответ на: комментарий от anonymous

аноним-эксперт нарисовался. давно что то не заглядывал, все уже заскучать успели по жирным троллям.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от kirill_rrr

Зачем ты собственную некомпетентность оправдываешь выдуманным тобою троллингом? Ты дурак?

anonymous ()
Ответ на: комментарий от aegi

Ну над этим как бэ ведутся работы. XUL вон скоро окончательно похоронят.

Ну вот живу только лишь надеждами, но пока как-то не очень. FF удобен, но он удобен с расширениями, тот же Classic Theme Restore и т.д. + Меня интересует Microsoft Office Plugin. - Если все это поломается, придется мигрировать хоть куда-то... :(

DALDON ★★★★★ ()
Ответ на: комментарий от mandala

Альса-пульса-аяяяй, Альса > пульса! Аяяяй ( Альса -> пульса? Аяяяй!!! Аяя... #@#%!$

Как хорошо, что в моей манжарке все собрано нормально! Надеюсь и ESR будет с поддержкой альсы, тогда не придется менять браузер аж до конца года.

anonymous ()
Ответ на: комментарий от mandala

Вон в арче поправили, в дебиане не смотрел сегодня, один баг в багзиле висел малоинформативный.

Вот для Debian stable в backports FF 52 собран вроде с ALSA, потому что у меня PA нет, а звук работает. Зафайленный баг в wishlist с просьбой собрать с ALSA закрыт сопровождающим. Значит, собрали все же с ALSA. Как будет в sid (unstable) — не знаю. В experimental тоже с ALSA:

firefox-esr (52.0.1esr-1) experimental; urgency=medium

  * New upstream release.
  * Fix for mfsa2017-08, also known as CVE-2017-5428.

  * debian/browser.mozconfig.in: Build with --enable-alsa. Closes: #857281.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2017 08:27:13 +0900
Zubok ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.